package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.junmp.jyzb.api.bean.dto.FetchingDataDto.WarehouseInfoDto;
import com.junmp.jyzb.api.bean.query.PolicemanReq;
import com.junmp.jyzb.api.bean.req.UpdateWarehouseReq;
import com.junmp.jyzb.entity.Warehouse;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface WarehouseMapper extends BaseMapper<Warehouse> {

    public int addWarehouse(Warehouse warehouse);

    Map<String, Object> getOneWarehouse(String id);

    void deleteWarehouse(String id);

    void updateWarehouse(Warehouse warehouse);

    List<String> getAllWarehouseId(String orgId);


    List<Warehouse> getAllWarehouseByOrgList(List<String> allOrgId);


    boolean SetInventoryInfo(String id);

    List<WarehouseInfoDto> alignWarehouseInfo(@Param("orgId") Long orgId,@Param("date") String date);
}